---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-prod
    traefik.ingress.kubernetes.io/router.middlewares: kube-system-redirect-https@kubernetescrd
  name: linkding
spec:
  rules:
    - host: links.tobru.ch
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: linkding
                port:
                  number: 9090
  tls:
    - hosts:
        - links.tobru.ch
      secretName: ingress-cert
